Ruby - Bug #14219

package size of Ruby 2.5 is larger than 2.4
12/22/2017 03:19 AM - hsbt (Hiroshi SHIBATA)

Status: Rejected
Priority: Normal
Assignee: hsbt (Hiroshi SHIBATA)

Target version:

ruby -v:

Backport:

2.3: UNKNOWN, 2.4: UNKNOWN

Description
A package of Ruby 2.5 was increased file size (about 15MB) from Ruby 2.4.

e ruby-2.4.3.tar.xz: 9.6M
e ruby-2.5.0-rc1.tar.xz: 25M

It was caused by spec directory.

~/D/ruby-2.4.3 > du -md 1 | sort -rn | head

79 .

26 ./enc
14 ./ext
12 ./test
7 ./1lib

7 ./doc

3 ./gems

2 ./sample
1 ./win32
1 ./tool

~/D/ruby-2.5.0-rcl > du -md 1 | sort -rn | head
121

40 ./spec
26 ./enc
14 ./ext
12 ./test
./1lib
./doc
./gems
./sample
./win32
After releasing 2.5, | (and eregon?) try to reduce it size or remove them from tar package.

Related issues:
Related to Ruby - Feature #12733: Bundle bundler to ruby core Closed

Associated revisions

Revision e6bf368cac2012a951191838f356d381387324ee - 11/06/2018 08:47 PM - hsbt (Hiroshi SHIBATA)

Removed VCR cassettes files for reducing package size.

[Bug #14219]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@65583 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision e6bf368cac2012a95f1918381356d381387324ee - 11/06/2018 08:47 PM - hsbt (Hiroshi SHIBATA)
Removed VCR cassettes files for reducing package size.

[Bug #14219]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@65583 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision e6bf368c - 11/06/2018 08:47 PM - hsbt (Hiroshi SHIBATA)

Removed VCR cassettes files for reducing package size.
[Bug #14219]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@65583 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 12/22/2017 03:51 AM - normalperson (Eric Wong)
hsbt@ruby-lang.org wrote:

Bug #14219: package size of Ruby 2.5 is larger than 2.4
https://bugs.ruby-lang.org/issues/14219

e ruby-2.4.3.tar.xz: 9.6M
e ruby-2.5.0-rc1.tar.xz: 25M

It was caused by spec directory.
There's also a lot of bundler ver data which is already
gz compressed, so not recompressible with xz.
spec/rubyspec/ still exists in SVN and it looks like there's a
lot of empty directories underneath. "git svn" ignores

empty directories, but | guess the tarball is created from SVN.
We can remove those empty trees ASAP and save our users' inodes.

#2 - 12/25/2017 06:15 PM - naruse (Yui NARUSE)
- Target version deleted (2.6)

#3 - 12/27/2017 11:34 PM - Eregon (Benoit Daloze)

Could someone remove spec/rubyspec in SVN? (it's still present in the 2.5.0 tarball)
I did a "git mv" if | recall correctly, but it seems git-svn did not handle this case correctly.

| think it makes sense to keep spec/mspec and spec/ruby, just like we keep test/, if one can run them from the tarball (make test-spec works).
ruby-2.5.0.tar.xz is 11.3 MB so that seems reasonable.

#4 - 12/27/2017 11:51 PM - normalperson (Eric Wong)

eregontp@gmail.com wrote:

Could someone remove spec/rubyspec in SVN? (it's still present in the 2.5.0 tarball)

Done in r61506

| did a "git mv" if | recall correctly, but it seems git-svn did not handle this case correctly.
Sorry for the confusion, git itself doesn't detect directory renames, yet,
so git svn can't handle it, yet... It's being worked on for git proper,

so git-svn might be able to do it one day, too:

https://public-inbox.org/qit/20171129014237.32570-1-newren@gmail.com/

#5 - 02/21/2018 07:32 AM - hsbt (Hiroshi SHIBATA)
- Related to Feature #12733: Bundle bundler to ruby core added

#6 - 04/19/2018 07:00 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Rejected

| postpone merging bundler into Ruby core. | will close this by stating it again.
